import os
import time
from inet import HttpServer, HttpServerWebSocket
import kernel
from drivers import esp_wifi
from drivers import Pin
import board

# Configuration.
SSID = 'lupascuEsp32'
PASSWORD = 'lupascu1'
IP = '192.168.4.1'
PORT = 80

def on_index(connection, request):
	page = '''
<!DOCTYPE html>
<html>
<body>
<button onclick="send('play')">Play/stop</button>
<button onclick="send('next')">Next</button>
<script>
function send(theUrl)
{
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function() { 
        if (xmlHttp.readyState == 4 && xmlHttp.status == 200)
            callback(xmlHttp.responseText);
    }
    xmlHttp.open("GET", 'http://192.168.4.1/' + theUrl, true); // true for asynchronous 
    xmlHttp.send(null);
}
</script>
</body>
</html>
'''
	return (page, ) 

stopButton = Pin(board.PIN_GPIO18, Pin.OUTPUT)
nextButton = Pin(board.PIN_GPIO15, Pin.OUTPUT)

def play(_, request):
	global stopButton
	stopButton.toggle();
	stopButton.toggle();
	return ('ok!', )

def next(_, request):
	global nextButton 
	nextButton.toggle();
	nextButton.toggle();
	return ('ok!', )
def on_no_route(_, request):
	print('on_no_route:', request)
	return (request.path + ' not found.',
		HttpServer.RESPONSE_CODE_404_NOT_FOUND,
		HttpServer.CONTENT_TYPE_TEXT_PLAIN)


esp_wifi.set_op_mode(esp_wifi.OP_MODE_SOFTAP)
esp_wifi.softap_init(SSID, PASSWORD)

routes = [
	('/index.html', on_index),
	('/next', next),
	('/play', play)
]

http_server = HttpServer(IP, PORT, routes, on_no_route)
http_server.start()
nextButton.toggle();
while True:
	print(os.system('kernel/thrd/list'))
	time.sleep(5)

